Method: projects.locations.networkMonitoringProviders.list

Lists NetworkMonitoringProviders for a given project and location.

HTTP request

GET https://networkmanagement.googleapis.com/v1alpha1/{parent=projects/*/locations/*}/networkMonitoringProviders

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Parent value for ListNetworkMonitoringProvidersRequest. Format: projects/{project}/locations/{location}

Authorization requires the following IAM permission on the specified resource parent:

  • networkmanagement.providers.list

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of monitoring points to return. The service may return fewer than this value. If unspecified, at most 20 monitoring points will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous ListMonitoringPoints call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to ListMonitoringPoints must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Message for response to listing NetworkMonitoringProviders

If successful, the response body contains data with the following structure:

JSON representation
{
  "networkMonitoringProviders": [
    {
      object (NetworkMonitoringProvider)
    }
  ],
  "nextPageToken": string
}
Fields
networkMonitoringProviders[]

object (NetworkMonitoringProvider)

The list of NetworkMonitoringProviders

nextPageToken

string

A token identifying a page of results the server should return.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-network-insights
  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.